org.eclipse.rdf4j.repository.sparql.query

## Class SPARQLUpdate

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractUpdate
    - - org.eclipse.rdf4j.http.client.query.AbstractHTTPUpdate
      - - org.eclipse.rdf4j.repository.sparql.query.SPARQLUpdate

- All Implemented Interfaces:
    Operation, Update

      public class SPARQLUpdate
      extends AbstractHTTPUpdate

  Update operation of the `SPARQLRepository`
  Author:
    Jeen Broekstra, Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.http.client.query.AbstractHTTPUpdate

      `baseURI, queryLanguage, queryString`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLUpdate(SPARQLProtocolSession httpClient, String baseURI, String queryString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Execute this update on the repository.
    `String` | `getQueryString()`

    - ### Methods inherited from class org.eclipse.rdf4j.http.client.query.AbstractHTTPUpdate

      `getBaseURI, getBindingsArray, getHttpClient, getQueryLanguage, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### SPARQLUpdate

          public SPARQLUpdate(SPARQLProtocolSession httpClient,
                              String baseURI,
                              String queryString)

  - ### Method Detail

    - #### execute

          public void execute()
                       throws UpdateExecutionException

      Description copied from interface: `Update`
      Execute this update on the repository.
      Throws:
        `UpdateExecutionException` - if the update could not be successfully completed.

    - #### getQueryString

          public String getQueryString()

      Overrides:
        `getQueryString` in class `AbstractHTTPUpdate`
      Returns:
        Returns the queryString.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.